Bot
Membuat, mengatur, mengarsipkan, dan memulihkan bot. 9 endpoint
GET /bots
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots' \
-H "Authorization: Bearer $LEX_TOKEN"POST /bots
Body permintaan
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
name | string | ya | panjang 1–80 |
description | string | panjang 0–500 | |
avatar | string | panjang 0–16 | |
character | object | ||
character.outfit | "default" | "casual" | "pro" | "cool" | "female" | ya | |
character.hat | string | pola ^#[0-9a-fA-F]{6}$ | |
character.accessory | "none" | "glasses" | "sunglasses" | ||
defaultMode | "nalar" | "patih" | "cendikia" | ||
instructions | string | panjang 0–8000 | |
ownComputerAccess | boolean | ||
ttsVoice | string | null | ||
realtimeVoice | string | null |
Contoh
bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"name":"string"}'GET /bots/archived
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/archived' \
-H "Authorization: Bearer $LEX_TOKEN"GET /bots/{botId}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
botId (path) | string | ya |
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/:botId' \
-H "Authorization: Bearer $LEX_TOKEN"PATCH /bots/{botId}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
botId (path) | string | ya |
Body permintaan
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
name | string | panjang 1–80 | |
description | string | panjang 0–500 | |
avatar | string | panjang 0–16 | |
character | object | ||
character.outfit | "default" | "casual" | "pro" | "cool" | "female" | ya | |
character.hat | string | pola ^#[0-9a-fA-F]{6}$ | |
character.accessory | "none" | "glasses" | "sunglasses" | ||
defaultMode | "nalar" | "patih" | "cendikia" | ||
instructions | string | panjang 0–8000 | |
ownComputerAccess | boolean | ||
ttsVoice | string | null | ||
realtimeVoice | string | null |
Contoh
bash
curl -X PATCH 'https://api.lexcetha.com/api/v1/bots/:botId' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{}'DELETE /bots/{botId}
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
botId (path) | string | ya |
Contoh
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/bots/:botId' \
-H "Authorization: Bearer $LEX_TOKEN"GET /bots/{botId}/activity
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
botId (path) | string | ya |
Contoh
bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/:botId/activity' \
-H "Authorization: Bearer $LEX_TOKEN"POST /bots/{botId}/restore
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
botId (path) | string | ya |
Contoh
bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots/:botId/restore' \
-H "Authorization: Bearer $LEX_TOKEN"DELETE /bots/{botId}/permanent
Parameter
| Field | Tipe | Wajib | Catatan |
|---|---|---|---|
botId (path) | string | ya |
Contoh
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/bots/:botId/permanent' \
-H "Authorization: Bearer $LEX_TOKEN"